# Enum Class Module.Settings

java.lang.Object
java.lang.Enum<Module.Settings>
org.eclipse.osgi.container.Module.Settings

All Implemented Interfaces:
  `Serializable, Comparable<Module.Settings>, Constable`

Enclosing class:
  `Module`

public static enum Module.Settings extends Enum<Module.Settings>
An enumeration of persistent settings for a module

Since:
  3.10

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTO_START`
The module has been set to auto start.
`PARALLEL_ACTIVATION`
The module has been set for parallel activation from start-level
`USE_ACTIVATION_POLICY`
The module has been set to use its activation policy.

## Method Summary

Modifier and Type
Method
Description
`static Module.Settings`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.Settings[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AUTO_START

public static final Module.Settings AUTO_START
The module has been set to auto start.

### USE_ACTIVATION_POLICY

public static final Module.Settings USE_ACTIVATION_POLICY
The module has been set to use its activation policy.

### PARALLEL_ACTIVATION

public static final Module.Settings PARALLEL_ACTIVATION
The module has been set for parallel activation from start-level

Since:
  3.15

## Method Details

### values

public static Module.Settings[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Module.Settings valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null